{% extends "base.html.j2" %}
{% block content %}
<div class="media">
    <section class="main_content content convert_emoji">
        <div class="flex">
            <section class="column main">
                <h2>{{title}}</h2>

                <p>Nuestra comunidad crece gracias a personas como tú, ¡gracias por compartir contenido!</p>

                <form role="form" method="post" accept-charset="utf-8" name="edit_media_metadata">
                    <div class="form-group">
                        {{form.hidden_tag()}}

                        {{form.title.label()}}
                        {{form.title()}}
                        {% for error in form.title.errors %}
                            <span style="color: red;">[{{error}}]</span>
                        {% endfor %}

                        {{form.description.label()}}
                        {{form.description()}}
                        {% for error in form.description.errors %}
                            <span style="color: red;">[{{error}}]</span>
                        {% endfor %}

                        {{form.score.label()}}
                        {{form.score()}}
                        {% for error in form.score.errors %}
                            <span style="color: red;">[{{error}}]</span>
                        {% endfor %}

                        {{form.counter.label()}}
                        {{form.counter()}}
                        {% for error in form.counter.errors %}
                            <span style="color: red;">[{{error}}]</span>
                        {% endfor %}

                        <br /><br /><p>Posters</p>

                        {{form.poster_uri.label()}}
                        <div class="image_content">
                            <img class="backdrop lazyload fade" data-sizes="auto"
                                src="data:image/png;base64, {{media.poster_b64}}" alt="{{media.title}}">
                        </div>
                        {{form.poster_uri()}}
                        {% for error in form.poster_uri.errors %}
                            <span style="color: red;">[{{error}}]</span>
                        {% endfor %}

                        {{form.fposter_uri.label()}}
                        <div class="image_content">
                            <img class="poster" src="data:image/png;base64, {{media.fposter_b64}}" alt="{{media.title}}">
                        </div>
                        {{form.fposter_uri()}}
                        {% for error in form.fposter_uri.errors %}
                            <span style="color: red;">[{{error}}]</span>
                        {% endfor %}

                        {{form.bposter_uri.label()}}
                        <div class="image_content">
                            <img class="backdrop lazyload fade" data-sizes="auto"
                                src="data:image/png;base64, {{media.bposter_b64}}" alt="{{media.title}}">
                        </div>
                        {{form.bposter_uri()}}
                        {% for error in form.bposter_uri.errors %}
                            <span style="color: red;">[{{error}}]</span>
                        {% endfor %}

                        {{form.lposter_uri.label()}}
                        <div class="image_content">
                            <img class="poster" src="data:image/png;base64, {{media.lposter_b64}}" alt="{{media.title}}">
                        </div>
                        {{form.lposter_uri()}}
                        {% for error in form.lposter_uri.errors %}
                            <span style="color: red;">[{{error}}]</span>
                        {% endfor %}

                        <br /><br />
                        <div class="buttons">
                            {{form.submit()}}
                            <p class="reset"><a href="{{url_for('media', media_type=media.media_type, title_unique=media.title_unique)}}">Cancelar</a></p>
                        </div>
                    </form>
                </section>

                <section class="column sidebar">
                    <div class="card colored">
                        <div class="background">
                            <div class="top">
                                <h2>Tips para llenar los campos</h2>
                            </div>
                        </div>
                        <div class="bottom">
                            <ul>
                                <li><strong>Poster URLs:</strong> Las direcciones de
                                    las imágenes deben ser directas, pueden terminar en
                                    png o jpg.
                                </li>
                                <li><strong>Dimensiones:</strong> Las dimensiones de
                                    las imágenes deben ser exactas, por ejemplo, de
                                    500x281 pixeles para la imagen principal.
                                </li>
                            </ul>
                        </div>
                    </div>
                </section>
            </div>
        </section>

        <script type="text/javascript" charset="utf-8">
            $(document).ready(function(){
                $('#title').focus();
            });
        </script>
    </div>
    {% endblock %}
